%define gittag 0907a9034eaf2a57e8e4a9439f793f3f05d446cd
%define major 0
%define libname %mklibname tar %{major}
%define develname %mklibname -d tar

Summary:	C library for manipulating tar files
Name:		libtar
Version:	1.2.20
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.feep.net/libtar/
Source0:	http://repo.or.cz/w/libtar.git/snapshot/%{gittag}.tar.gz
Patch0:		libtar-1.2.20-includes.diff
BuildRequires:	zlib-devel

%description
libtar is a library for manipulating tar files from within C programs.
Here are some of its features:

  * Handles both POSIX tar file format and the GNU extensions.
  * API provides functions for easy use, such as tar_extract_all().
  * Also provides functions for more granular use, such as 
    tar_append_regfile().

%package -n %libname
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %libname
This package contains the shared library for %{name}.

%package -n %develname
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains the shared library and the C headers needed to
build applications with libtar.

%prep
%setup -qn %{name}
%patch0 -p1 -b .includes

%build
export CFLAGS="%{optflags} -fPIC"
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/libtar

%files -n %{libname}
%{_libdir}/libtar.so.%{major}
%{_libdir}/libtar.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog* COPYRIGHT TODO
%{_libdir}/libtar.so
%{_includedir}/libtar*.h
%{_mandir}/man3/*.3*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.2.20-2.mga4
+ Revision: 540965
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 oden <oden> 1.2.20-1.mga4
+ Revision: 494620
- 1.2.20 (fixes CVE-2013-4397)

* Sat Jan 12 2013 umeabot <umeabot> 1.2.18-2.mga3
+ Revision: 358234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 fwang <fwang> 1.2.18-1.mga3
+ Revision: 293653
- there is no .a files
- new version 1.2.18

  + pterjan <pterjan>
    - imported package libtar


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2.11-10mdv2010.0
+ Revision: 439474
- rebuild

* Thu Nov 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.11-9mdv2009.1
+ Revision: 300379
- drop 64bit-fixes.patch: this 'fix' is bogus as per the discussion at
  http://sourceforge.net/mailarchive/message.php?msg_id=20070803200729.GA7068%%40foursquare.net
  ** API CHANGE **: this 'fix' slightly changed libtar's API, so reverting it
  also 'changes' the API back to the original. Apps that build against libtar
  may be patched to match this API change and hence may not build any more.
  If you maintain such an app, please remove the patch

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.2.11-8mdv2009.0
+ Revision: 268034
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.11-7mdv2009.0
+ Revision: 196263
- rebuild for new era
- decompress patches
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 03 2007 Götz Waschk <waschk@mandriva.org> 1.2.11-6mdv2008.0
+ Revision: 58480
- Import libtar


* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 1.2.11-6mdv2007.0
- Rebuild

* Tue Jul 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.11-5mdk
- fix includes
- 64-bit fixes, this causes a slight API change

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 1.2.11-4mdk
- build with -fPIC
- new URLs

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.11-3mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.11-2mdk
- rebuild

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.11-1mdk
- initial package
